<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="group">
    <name>globus_gsi_gssapi_buffer_set</name>
    <title>Functions for manipulating a buffer set</title>
    <filename>group__globus__gsi__gssapi__buffer__set.html</filename>
  </compound>
  <compound kind="group">
    <name>globus_gsi_gssapi_constants</name>
    <title>GSI GSS-API Constants</title>
    <filename>group__globus__gsi__gssapi__constants.html</filename>
  </compound>
  <compound kind="group">
    <name>globus_gsi_gssapi_activation</name>
    <title>Activation</title>
    <filename>group__globus__gsi__gssapi__activation.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_GSI_GSSAPI_MODULE</name>
      <anchorfile>group__globus__gsi__gssapi__activation.html</anchorfile>
      <anchor>gd6e45cca3535f67d68083fbca3746d38</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_gss_requested_context_flags</name>
    <title>GSS Req Flags</title>
    <filename>group__globus__gsi__gss__requested__context__flags.html</filename>
    <subgroup>globus_gsi_gss_returned_context_flags</subgroup>
    <member kind="define">
      <type>#define</type>
      <name>GSS_C_GLOBUS_DONT_ACCEPT_LIMITED_PROXY_FLAG</name>
      <anchorfile>group__globus__gsi__gss__requested__context__flags.html</anchorfile>
      <anchor>g93c62fd52a98f007956ec79b26074bb5</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>GSS_C_GLOBUS_DELEGATE_LIMITED_PROXY_FLAG</name>
      <anchorfile>group__globus__gsi__gss__requested__context__flags.html</anchorfile>
      <anchor>g0f402a99a342a8247b41be7ce6d47d3c</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>GSS_C_GLOBUS_ACCEPT_PROXY_SIGNED_BY_LIMITED_PROXY_FLAG</name>
      <anchorfile>group__globus__gsi__gss__requested__context__flags.html</anchorfile>
      <anchor>g4dea73b3a2250e6b8733606c7b6079a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>GSS_C_GLOBUS_ALLOW_MISSING_SIGNING_POLICY</name>
      <anchorfile>group__globus__gsi__gss__requested__context__flags.html</anchorfile>
      <anchor>g3e09510b039cbf96ab72468c926f7024</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>GSS_C_GLOBUS_FORCE_SSL3</name>
      <anchorfile>group__globus__gsi__gss__requested__context__flags.html</anchorfile>
      <anchor>gfc95e79725c59871ee42dcbca9b3d440</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>GSS_C_GLOBUS_LIMITED_PROXY_MANY_FLAG</name>
      <anchorfile>group__globus__gsi__gss__requested__context__flags.html</anchorfile>
      <anchor>ge513ab7e56c29ad63e5210e05bec5e1d</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>gss_acquire_cred</name>
      <anchorfile>group__globus__gsi__gss__requested__context__flags.html</anchorfile>
      <anchor>g8b468b3d8f2c59960e54ed0757c7b571</anchor>
      <arglist>(OM_uint32 *, const gss_name_t, OM_uint32, const gss_OID_set, gss_cred_usage_t, gss_cred_id_t *, gss_OID_set *, OM_uint32 *)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>gss_release_cred</name>
      <anchorfile>group__globus__gsi__gss__requested__context__flags.html</anchorfile>
      <anchor>g9fd661fd0e9d57a6e9ae2412305565a3</anchor>
      <arglist>(OM_uint32 *, gss_cred_id_t *)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>gss_accept_sec_context</name>
      <anchorfile>group__globus__gsi__gss__requested__context__flags.html</anchorfile>
      <anchor>gb2c81dd7b43a235cc647b19d318c44ce</anchor>
      <arglist>(OM_uint32 *, gss_ctx_id_t *, const gss_cred_id_t, const gss_buffer_t, const gss_channel_bindings_t, gss_name_t *, gss_OID *, gss_buffer_t, OM_uint32 *, OM_uint32 *, gss_cred_id_t *)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>gss_delete_sec_context</name>
      <anchorfile>group__globus__gsi__gss__requested__context__flags.html</anchorfile>
      <anchor>gd325b3f675925f234d0d2d95b31b646d</anchor>
      <arglist>(OM_uint32 *, gss_ctx_id_t *, gss_buffer_t)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>gss_context_time</name>
      <anchorfile>group__globus__gsi__gss__requested__context__flags.html</anchorfile>
      <anchor>g2abe3350a3636028291af6646850fdc4</anchor>
      <arglist>(OM_uint32 *, const gss_ctx_id_t, OM_uint32 *)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>gss_get_mic</name>
      <anchorfile>group__globus__gsi__gss__requested__context__flags.html</anchorfile>
      <anchor>g5e758be3fa09018d6c3a8956ae530e6c</anchor>
      <arglist>(OM_uint32 *, const gss_ctx_id_t, gss_qop_t, const gss_buffer_t, gss_buffer_t)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>gss_verify_mic</name>
      <anchorfile>group__globus__gsi__gss__requested__context__flags.html</anchorfile>
      <anchor>g48d7656ea2f96d21d3ffbe95ada496c6</anchor>
      <arglist>(OM_uint32 *, const gss_ctx_id_t, const gss_buffer_t, const gss_buffer_t, gss_qop_t *)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>gss_wrap</name>
      <anchorfile>group__globus__gsi__gss__requested__context__flags.html</anchorfile>
      <anchor>g36f3b3ce7d84a9385ffdc1796a39dd35</anchor>
      <arglist>(OM_uint32 *, const gss_ctx_id_t, int, gss_qop_t, const gss_buffer_t, int *, gss_buffer_t)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>gss_unwrap</name>
      <anchorfile>group__globus__gsi__gss__requested__context__flags.html</anchorfile>
      <anchor>ga8cb4698eec5d8a28394eb5e4a987058</anchor>
      <arglist>(OM_uint32 *, const gss_ctx_id_t, const gss_buffer_t, gss_buffer_t, int *, gss_qop_t *)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>gss_display_status</name>
      <anchorfile>group__globus__gsi__gss__requested__context__flags.html</anchorfile>
      <anchor>g34e735ac93c867bfc23773ed560e0db3</anchor>
      <arglist>(OM_uint32 *, OM_uint32, int, const gss_OID, OM_uint32 *, gss_buffer_t)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>gss_indicate_mechs</name>
      <anchorfile>group__globus__gsi__gss__requested__context__flags.html</anchorfile>
      <anchor>g1c65b0a14e16ef5ad6a44a3c944cfb46</anchor>
      <arglist>(OM_uint32 *, gss_OID_set *)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>gss_compare_name</name>
      <anchorfile>group__globus__gsi__gss__requested__context__flags.html</anchorfile>
      <anchor>g408046e366e14bb977bccf53ba1d6b67</anchor>
      <arglist>(OM_uint32 *, const gss_name_t, const gss_name_t, int *)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>gss_import_name</name>
      <anchorfile>group__globus__gsi__gss__requested__context__flags.html</anchorfile>
      <anchor>g6ae6fd689865b4dfcbe9bca45573660c</anchor>
      <arglist>(OM_uint32 *, const gss_buffer_t, const gss_OID, gss_name_t *)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>gss_export_name</name>
      <anchorfile>group__globus__gsi__gss__requested__context__flags.html</anchorfile>
      <anchor>g11550be96a2848ffe1e4d0483b38efe8</anchor>
      <arglist>(OM_uint32 *, const gss_name_t, gss_buffer_t)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>gss_release_name</name>
      <anchorfile>group__globus__gsi__gss__requested__context__flags.html</anchorfile>
      <anchor>g526805aa5924a556d7c302156b468e2d</anchor>
      <arglist>(OM_uint32 *, gss_name_t *)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>gss_release_buffer</name>
      <anchorfile>group__globus__gsi__gss__requested__context__flags.html</anchorfile>
      <anchor>gb3889660111bd1824ee6f23e248a2bc7</anchor>
      <arglist>(OM_uint32 *, gss_buffer_t)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>gss_release_oid_set</name>
      <anchorfile>group__globus__gsi__gss__requested__context__flags.html</anchorfile>
      <anchor>geae054e2196e32c4d103a3f65bb02b7f</anchor>
      <arglist>(OM_uint32 *, gss_OID_set *)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>gss_inquire_cred</name>
      <anchorfile>group__globus__gsi__gss__requested__context__flags.html</anchorfile>
      <anchor>gdf787dccbcc2b671d41e79848fd8e4ad</anchor>
      <arglist>(OM_uint32 *, const gss_cred_id_t, gss_name_t *, OM_uint32 *, gss_cred_usage_t *, gss_OID_set *)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>gss_inquire_context</name>
      <anchorfile>group__globus__gsi__gss__requested__context__flags.html</anchorfile>
      <anchor>g287fa7d6cf36d6ff2d2c1d53ab470d15</anchor>
      <arglist>(OM_uint32 *, const gss_ctx_id_t, gss_name_t *, gss_name_t *, OM_uint32 *, gss_OID *, OM_uint32 *, int *, int *)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>gss_wrap_size_limit</name>
      <anchorfile>group__globus__gsi__gss__requested__context__flags.html</anchorfile>
      <anchor>g93d2d13e7328e34dc80e1eebd1774871</anchor>
      <arglist>(OM_uint32 *, const gss_ctx_id_t, int, gss_qop_t, OM_uint32, OM_uint32 *)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>gss_export_sec_context</name>
      <anchorfile>group__globus__gsi__gss__requested__context__flags.html</anchorfile>
      <anchor>g540d2137329a1fdde2d6560a95b0e3c1</anchor>
      <arglist>(OM_uint32 *, gss_ctx_id_t *, gss_buffer_t)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>gss_import_sec_context</name>
      <anchorfile>group__globus__gsi__gss__requested__context__flags.html</anchorfile>
      <anchor>g41796abc023d97c4d35c660885f6f893</anchor>
      <arglist>(OM_uint32 *, const gss_buffer_t, gss_ctx_id_t *)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>gss_create_empty_oid_set</name>
      <anchorfile>group__globus__gsi__gss__requested__context__flags.html</anchorfile>
      <anchor>gda10efddfa807e6f16e97268cd16db00</anchor>
      <arglist>(OM_uint32 *, gss_OID_set *)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>gss_add_oid_set_member</name>
      <anchorfile>group__globus__gsi__gss__requested__context__flags.html</anchorfile>
      <anchor>gc6aa91519cdf43ef8b7af3acc0d9c830</anchor>
      <arglist>(OM_uint32 *, const gss_OID, gss_OID_set *)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>gss_test_oid_set_member</name>
      <anchorfile>group__globus__gsi__gss__requested__context__flags.html</anchorfile>
      <anchor>g7f34e0699bdbf64ac598562b444d2be7</anchor>
      <arglist>(OM_uint32 *, const gss_OID, const gss_OID_set, int *)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>gss_duplicate_name</name>
      <anchorfile>group__globus__gsi__gss__requested__context__flags.html</anchorfile>
      <anchor>ge16e3970e4d9b2a9201178ad65183318</anchor>
      <arglist>(OM_uint32 *, const gss_name_t, gss_name_t *)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>gss_sign</name>
      <anchorfile>group__globus__gsi__gss__requested__context__flags.html</anchorfile>
      <anchor>g5827a6879525612923f26766994411bf</anchor>
      <arglist>(OM_uint32 *, gss_ctx_id_t, int, gss_buffer_t, gss_buffer_t)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>gss_verify</name>
      <anchorfile>group__globus__gsi__gss__requested__context__flags.html</anchorfile>
      <anchor>g52f5bedbe5de41761695e35fe98126e0</anchor>
      <arglist>(OM_uint32 *, gss_ctx_id_t, gss_buffer_t, gss_buffer_t, int *)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>gss_unseal</name>
      <anchorfile>group__globus__gsi__gss__requested__context__flags.html</anchorfile>
      <anchor>gf8ce4f47cf14ee4d707554430c1dccbb</anchor>
      <arglist>(OM_uint32 *, gss_ctx_id_t, gss_buffer_t, gss_buffer_t, int *, int *)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>gss_create_empty_buffer_set</name>
      <anchorfile>group__globus__gsi__gss__requested__context__flags.html</anchorfile>
      <anchor>g0b1aab27ff3baed650c671bd4e2c742a</anchor>
      <arglist>(OM_uint32 *, gss_buffer_set_t *)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>gss_add_buffer_set_member</name>
      <anchorfile>group__globus__gsi__gss__requested__context__flags.html</anchorfile>
      <anchor>g0b7654678d9f5486478524c118fa9eed</anchor>
      <arglist>(OM_uint32 *, const gss_buffer_t, gss_buffer_set_t *)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>gss_release_buffer_set</name>
      <anchorfile>group__globus__gsi__gss__requested__context__flags.html</anchorfile>
      <anchor>g6bc5549dd8b0ed3141e8194c639db53b</anchor>
      <arglist>(OM_uint32 *, gss_buffer_set_t *)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>gss_import_cred</name>
      <anchorfile>group__globus__gsi__gss__requested__context__flags.html</anchorfile>
      <anchor>gc01dda97d710ff091aa23d312b9349fa</anchor>
      <arglist>(OM_uint32 *, gss_cred_id_t *, const gss_OID, OM_uint32, const gss_buffer_t, OM_uint32, OM_uint32 *)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>gss_export_cred</name>
      <anchorfile>group__globus__gsi__gss__requested__context__flags.html</anchorfile>
      <anchor>g18b4f97553735530452a4263395dd0ee</anchor>
      <arglist>(OM_uint32 *, const gss_cred_id_t, const gss_OID, OM_uint32, gss_buffer_t)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>gss_init_delegation</name>
      <anchorfile>group__globus__gsi__gss__requested__context__flags.html</anchorfile>
      <anchor>g71a55a721ec23ccdd150e39c39e9a4e2</anchor>
      <arglist>(OM_uint32 *, const gss_ctx_id_t, const gss_cred_id_t, const gss_OID, const gss_OID_set, const gss_buffer_set_t, const gss_buffer_t, OM_uint32, OM_uint32, gss_buffer_t)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>gss_accept_delegation</name>
      <anchorfile>group__globus__gsi__gss__requested__context__flags.html</anchorfile>
      <anchor>gd6d5fca652bc986c07376501ef4fbe69</anchor>
      <arglist>(OM_uint32 *, const gss_ctx_id_t, const gss_OID_set, const gss_buffer_set_t, const gss_buffer_t, OM_uint32, OM_uint32, OM_uint32 *, gss_cred_id_t *, gss_OID *, gss_buffer_t)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>gss_inquire_cred_by_oid</name>
      <anchorfile>group__globus__gsi__gss__requested__context__flags.html</anchorfile>
      <anchor>g214ca19f5dce4dfa29560c7c56432ac0</anchor>
      <arglist>(OM_uint32 *, const gss_cred_id_t, const gss_OID, gss_buffer_set_t *)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>gss_set_sec_context_option</name>
      <anchorfile>group__globus__gsi__gss__requested__context__flags.html</anchorfile>
      <anchor>g20264760b87bb9ef22a71d0ba4bf9003</anchor>
      <arglist>(OM_uint32 *, gss_ctx_id_t *, const gss_OID, const gss_buffer_t)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_gss_returned_context_flags</name>
    <title>GSS Ret Flags</title>
    <filename>group__globus__gsi__gss__returned__context__flags.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GSS_C_GLOBUS_RECEIVED_LIMITED_PROXY_FLAG</name>
      <anchorfile>group__globus__gsi__gss__returned__context__flags.html</anchorfile>
      <anchor>gf7d78fdd23ee1a0584b73260b5ced829</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>GSS_C_GLOBUS_RECEIVED_LIMITED_PROXY_DURING_DELEGATION_FLAG</name>
      <anchorfile>group__globus__gsi__gss__returned__context__flags.html</anchorfile>
      <anchor>g268d2ed5e537ee775eb6353843194f3c</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
